library IEEE;
    use IEEE.std_logic_1164.all;
    use IEEE.std_logic_arith.all;
    use IEEE.std_logic_unsigned.all;


entity SERIAL_DATA is
    port(
        RxD : out std_logic
    );
end SERIAL_DATA;


architecture ARC of SERIAL_DATA is
   signal TxD,TD : std_logic;
begin
    
    RxD <= TxD;
    
    process
    begin

        TxD <= '1';

        wait for 1 ms;

        wait for 8681 ns;
            TxD <= '0'; -- Start bit
            TD <= '0'; -- Start bit
            wait until TD = '0';
        wait for 8681 ns;
            TxD <= '1';
            TD <= '1';
            wait until TD ='1';
        wait for 8681 ns;
            TxD <= '0';
            TD <= '0';
            wait until TD ='0';
        wait for 8681 ns;
            TxD <= '1';
            TD <= '1';
            wait until TD ='1';
        wait for 8681 ns;
            TxD <= '0';
            TD <= '0';
            wait until TD ='0';
        wait for 8681 ns;
            TxD <= '1';
            TD <= '1';
            wait until TD ='1';
        wait for 8681 ns;
            TxD <= '0';
            TD <= '0';
            wait until TD ='0';
        wait for 8681 ns;
            TxD <= '1';
            TD <= '1';
            wait until TD ='1';
        wait for 8681 ns;
            TxD <= '0';
            TD <= '0';
            wait until TD ='0';
        wait for 8681 ns;
            TxD <= '1'; -- Stop bit
            TD <= '1';
            wait until TD ='1';
        wait for 8681 ns;

    end process;

end ARC;
