--------------------------------------
-- Serial Sim Test
-------------------------------------

-- Notes -----------------------------
-- 2007.03.16
---- VAʐMeXgB
---- bit𑗐Mt@C
---------------------------------------

library IEEE;
    use IEEE.std_logic_1164.all;
    use IEEE.std_logic_arith.all;
    use IEEE.std_logic_unsigned.all;

entity SERIAL_SIM is
    
end SERIAL_SIM;

architecture ARC of SERIAL_SIM is
    component STEST
        port(CLKIN : in std_logic;
        LED : out std_logic_vector(7 downto 0);
        TxD : out std_logic;
        RxD : in std_logic
    );
    end component;

    component SERIAL_DATA
        port(RxD : out std_logic);
    end component;

    signal CLK : std_logic;
    signal LED : std_logic_vector(7 downto 0);
    signal TxD : std_logic;
    signal RxD : std_logic;

begin

    STINST : STEST port map(
        CLKIN => CLK,
        LED => LED,
        TxD => TxD,
        RxD => RxD
    );

    SDINST : SERIAL_DATA port map(
        RxD => RxD
    );

    process
    begin
        wait for 40 ns;
        CLK <= '0';
        wait for 40 ns;
        CLK <= '1';
        wait until CLK = '1';
    end process;
end ARC;
